# Generated from axlsx-alt-3.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name axlsx-alt

Name: rubygem-%{gem_name}
Version: 3.0.1
Release: 1%{?dist}
Summary: Excel OOXML (xlsx) with charts, styles, images and autowidth columns
License: MIT
URL: https://github.com/fernandoluizao/axlsx
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(yard) >= 0.9.8
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(kramdown) >= 1.16
# BuildRequires: rubygem(kramdown) < 2
# BuildRequires: rubygem(kramdown) >= 1.16.2
# BuildRequires: rubygem(timecop) >= 0.8.1
# BuildRequires: rubygem(timecop) < 0.9
BuildArch: noarch

%description
xlsx spreadsheet generation with charts, images, automated column width,
customizable styles and full schema validation. Axlsx helps you create
beautiful Office Open XML Spreadsheet documents ( Excel, Google Spreadsheets,
Numbers, LibreOffice) without having to understand the entire ECMA
specification. Check out the README for some examples of how easy it is. Best
of all, you can validate your xlsx file before serialization so you know for
sure that anything generated is going to load on your client's machine.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/.yardopts_guide
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 3.0.1-1
- Initial package
